#pragma once

#include "CoreMinimal.h"
#include "DBDBaseAnimInstance.h"
#include "K36TreasureChestAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK36TreasureChestAnimInstance : public UDBDBaseAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isIdleMimic;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isOpened;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isClosed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isCharging;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isRolling;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isChest;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isStruggling;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isRevealedMimic;

public:
	UK36TreasureChestAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK36TreasureChestAnimInstance) { return 0; }
